Subject: Re: curl

From: Jeff King <[email-masked]>
Date: Tue, 28 Apr 2015 00:57:32 -0400

On Mon, Apr 27, 2015 at 11:49:51PM -0300, Thiago Farina wrote:

> Is it right that git uses libcurl to download while libgit2 does without it?

I'm not sure if you mean "right" as in "this statement is true" or as in
"is this a good thing that it is the case".

For the former, yes, libgit2 does not use curl.  On Windows, it can use
the native http calls (which do nice things like using the system proxy
and auth systems). On Unix, I think it is a combination of hand-rolled
code, openssl, and an imported http parser (from nginx).

Whether that is a good idea or not, I can't comment too much. From what
I have seen discussed in libgit2 issues, the stock http transport is
meant to be bare-bones (but with minimal dependencies). But it could
co-exist with a curl transport (just as it does with the WinHTTP
transport).  Maybe Carlos (cc'd) can say more.

-Peff